> For the complete documentation index, see [llms.txt](https://docs.filecoin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.filecoin.io/reference/general/specifications.md).

# Specifications

The Filecoin specification is the technical document that outlines the details of how the Filecoin network operates, including the rules for participating in the network, the format of the transactions that are used to manage data storage, and the algorithms and data structures that are used to store and retrieve data on the network. The specification is an important reference for developers who are building applications on top of Filecoin, as it provides them with the necessary information to create integrations that are compatible with the rest of network.

The Filecoin specification is a *living* document, with frequent updates and changes as the Filecoin network grows. The specification is available to view at [specs.filecoin.io](https://spec.filecoin.io/).

You can suggest changes to the specification [over on GitHub](https://github.com/filecoin-project/specs).

[Was this page helpful?](https://airtable.com/apppq4inOe4gmSSlk/pagoZHC2i1iqgphgl/form?prefill_Page+URL=https://docs.filecoin.io/reference/general/specifications)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.filecoin.io/reference/general/specifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
